package routines

import (
	"git.dragon-labs.de/alphyron/group_helper/cli"
	"git.dragon-labs.de/alphyron/group_helper/telegram"
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api"
)

type commandRoutine struct {
	CommandManager *cli.CommandManager
}

func NewCommandRoutine(commandManager *cli.CommandManager) telegram.Routine {
	return &commandRoutine{CommandManager: commandManager}
}

func (cr commandRoutine) Update(update *tgbotapi.Update) error {
	_, err := cr.CommandManager.ExecuteUpdate(update)

	return err
}
